/[gentoo-x86]/sys-kernel/hardened-sources/hardened-sources-2.6.25-r11.ebuild
Gentoo

Contents of /sys-kernel/hardened-sources/hardened-sources-2.6.25-r11.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.4 - (show annotations) (download)
Fri Jan 23 22:24:05 2009 UTC (5 years, 5 months ago) by gengor
Branch: MAIN
CVS Tags: HEAD
Changes since 1.3: +1 -1 lines
FILE REMOVED
Remove problem versions of hardened-sources
(Portage version: 2.1.6.4/cvs/Linux 2.6.27-hardened-r4-rc1-2009011401 i686)

1 # Copyright 1999-2008 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/sys-kernel/hardened-sources/hardened-sources-2.6.25-r11.ebuild,v 1.3 2008/12/15 16:29:00 nixnut Exp $
4
5 ETYPE="sources"
6 K_WANT_GENPATCHES="base extras"
7 K_GENPATCHES_VER="11"
8
9 inherit kernel-2
10 detect_version
11
12 HGPV="${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-12"
13 HGPV_URI="http://dev.gentoo.org/~gengor/distfiles/${CATEGORY}/${PN}/hardened-patches-${HGPV}.extras.tar.bz2
14 mirror://gentoo/hardened-patches-${HGPV}.extras.tar.bz2"
15 SRC_URI="${KERNEL_URI} ${HGPV_URI} ${GENPATCHES_URI} ${ARCH_URI}"
16
17 UNIPATCH_LIST="${DISTDIR}/hardened-patches-${HGPV}.extras.tar.bz2"
18 UNIPATCH_EXCLUDE="4200_fbcondecor-0.9.4.patch"
19
20 DESCRIPTION="Hardened kernel sources (kernel series ${KV_MAJOR}.${KV_MINOR})"
21 HOMEPAGE="http://www.gentoo.org/proj/en/hardened/"
22 IUSE=""
23
24 KEYWORDS="~alpha amd64 ~hppa ~ia64 ppc ~ppc64 ~sparc x86"
25
26 pkg_postinst() {
27 kernel-2_pkg_postinst
28
29 local GRADM_COMPAT="sys-apps/gradm-2.1.12*"
30
31 ewarn
32 ewarn "As of ${CATEGORY}/${PN}-2.6.24 the predefined"
33 ewarn "\"Hardened [Gentoo]\" grsecurity level has been removed."
34 ewarn "Two improved predefined security levels replace it:"
35 ewarn "\"Hardened Gentoo [server]\" and \"Hardened Gentoo [workstation]\""
36 ewarn
37 ewarn "Those who intend to use one of these predefined grsecurity levels"
38 ewarn "should read the help associated with the level. Users importing a"
39 ewarn "kernel configuration from a kernel prior to ${PN}-2.6.24,"
40 ewarn "should review their selected grsecurity/PaX options carefully."
41 ewarn
42 ewarn
43 ewarn "Users of grsecurity's RBAC system must ensure they are using"
44 ewarn "${GRADM_COMPAT}, which is compatible with kernel series ${OKV}."
45 ewarn "Therefore, it is strongly recommended that the following command is"
46 ewarn "issued prior to booting a ${P} series kernel for"
47 ewarn "the first time:"
48 ewarn
49 ewarn "emerge -na =${GRADM_COMPAT}"
50 ewarn
51 }

  ViewVC Help
Powered by ViewVC 1.1.20